# Filter the Perl extension module
%{?perl_default_filter}

%global pkgname Date-Holidays-DE

Summary:        Perl module to determine German holidays
Name:           perl-Date-Holidays-DE
Version:        1.7
Release:        1%{?dist}
License:        MIT
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/%{pkgname}/
Source:         http://search.cpan.org/CPAN/authors/id/M/MS/MSCHMITT/%{pkgname}-%{version}.tar.gz
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRequires:  perl(ExtUtils::MakeMaker), perl(Date::Calc) >= 5.0
BuildRequires:  perl(Exporter), perl(Test), perl(Time::Local)
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
A perl module that creates a list of German holidays in a given year.
It knows about special holiday regulations for all of Germany's federal
states and also about "semi-holidays" and religious "silent days" that
will be treated as holidays on request. Holidays that occur on weekends
can be excluded from the generated list. The generated list can also be
freely formatted using regular strftime() format definitions.

%prep
%setup -q -n %{pkgname}-%{version}

%build
perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -f {} \;
chmod -R u+w $RPM_BUILD_ROOT/*

# Don't add dependencies for %%doc
chmod -x example/*.pl

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README example
%{_mandir}/man3/*.3pm*
%{perl_vendorlib}/Date/Holidays/

%changelog
* Tue Jan 12 2016 Robert Scheck <robert@fedoraproject.org> 1.7-1
- Upgrade to 1.7 (#1297365)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 04 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.6-4
- Perl 5.22 rebuild

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.6-3
- Perl 5.20 rebuild

* Sat Jul 19 2014 Robert Scheck <robert@fedoraproject.org> 1.6-2
- Changes to match with Fedora Packaging Guidelines (#847420)

* Sat Aug 11 2012 Robert Scheck <robert@fedoraproject.org> 1.6-1
- Upgrade to 1.6 (#847420)
- Initial spec file for Fedora and Red Hat Enterprise Linux
